Bug 840234 - REST API: response body for hotPlug nic actions is empty
REST API: response body for hotPlug nic actions is empty
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Mike Kolesnik
Yaniv Kaul
Depends On:
  Show dependency treegraph
Reported: 2012-07-14 12:10 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
11 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:00:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Avi Tal 2012-07-14 12:10:50 EDT
Description of problem:
Response body for hotPlug nic actions is empty.
part of rest api flow is to validate the response code and response body for every action which in this case can't be done.

Steps to Reproduce:
1. add nic to VM
2. POST /api/vms/id/nics/id/<activate/deactivate>
3. response code should be 200
Actual results:
response code 200 but body is empty 

Expected results:
should contain the vm nic object after action is done
Comment 1 Mike Kolesnik 2012-08-01 08:01:55 EDT
Comment 3 Avi Tal 2012-08-05 05:13:28 EDT
Verify on si13 - PASS
POST (to both deactivate and activate) 

Response body:


Note You need to log in before you can comment on or make changes to this bug.